Bug 159386 - Up2date crashed and now it doesn't work anymore
Up2date crashed and now it doesn't work anymore
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-02 05:24 EDT by Bas van Schooten
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:01:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bas van Schooten 2005-06-02 05:24:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3) Gecko/20041026 Firefox/1.0RC1

Description of problem:
This is a normal workstation doing very important imports. It's regularly updated via up2date --nox --update. Suddenly, something went wrong and now it's broken, leaving a production system vunerable, since it can't be updated anymore. It's very important to get this working again!

[root@elo root]# up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1174, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 668, in main
    up2dateAuth.updateLoginInfo()
  File "up2dateAuth.py", line 151, in updateLoginInfo
  File "up2dateAuth.py", line 105, in login
  File "up2dateAuth.py", line 49, in maybeUpdateVersion
  File "/usr/share/rhn/up2date_client/up2dateUtils.py", line 228, in getVersion
    release, version = getOSVersionAndRelease()
  File "/usr/share/rhn/up2date_client/up2dateUtils.py", line 221, in getOSVersionAndRelease
    raise up2dateErrors.RpmError(
up2date_client.up2dateErrors.RpmError: RPM error.  The message was:
Could not determine what version of Red Hat Linux you are running.
If you get this error, try running 

                rpm --rebuilddb


Version-Release number of selected component (if applicable):
up2date-4.2.57-2

How reproducible:
Always

Steps to Reproduce:
1. Just run up2date
2.
3.
  

Actual Results:  See Description. It just won't work anymore

Expected Results:  To update the packages like it should. Now it doesn't do anything. 

Additional info:

No, it's all in the description.
Comment 1 Adrian Likins 2005-06-06 14:27:27 EDT
what happens after you run:

       rpm --rebuilddb

Comment 2 Bas van Schooten 2005-06-07 09:35:37 EDT
It runs, and then, when I run up2date again, I'll still see the same errors
unfortunately.
Comment 3 Bas van Schooten 2005-08-02 07:51:03 EDT
(In reply to comment #1)
> what happens after you run:
> 
>        rpm --rebuilddb
> 
> 

It's a month later, our machine still can't do up2date without a clue of what's
wrong. This is important to us! 
Comment 4 Jon Fautley 2005-09-12 09:47:25 EDT
Dear Sir,

Could you please follow the instructions detailed at
http://kbase.redhat.com/faq/FAQ_58_219.shtm

I believe this will fix the corrupt database you are seeing, and resolve your issue.

Best Regards,

Jon
Comment 5 RHEL Product and Program Management 2007-10-19 15:01:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.